
From: David Gibson <david@gibson.dropbear.id.au>

These are some trivial cleanups to the hugepage ppc64 support



---

 arch/ppc64/mm/hugetlbpage.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN arch/ppc64/mm/hugetlbpage.c~ppc64-hugepage-cleanups arch/ppc64/mm/hugetlbpage.c
--- 25/arch/ppc64/mm/hugetlbpage.c~ppc64-hugepage-cleanups	2004-01-27 23:44:47.000000000 -0800
+++ 25-akpm/arch/ppc64/mm/hugetlbpage.c	2004-01-27 23:44:47.000000000 -0800
@@ -654,10 +654,9 @@ int hash_huge_page(struct mm_struct *mm,
 	unsigned long hpteflags, prpn, flags;
 	long slot;
 
-	ea &= ~(HPAGE_SIZE-1);
-
 	/* We have to find the first hugepte in the batch, since
 	 * that's the one that will store the HPTE flags */
+	ea &= HPAGE_MASK;
 	ptep = hugepte_offset(mm, ea);
 
 	/* Search the Linux page table for a match with va */
@@ -885,10 +884,11 @@ static int __init hugetlb_init(void)
 			spin_unlock(&htlbpage_lock);
 		}
 		htlbpage_max = htlbpage_free = htlbpage_total = i;
-		printk("Total HugeTLB memory allocated, %d\n", htlbpage_free);
+		printk(KERN_INFO "Total HugeTLB memory allocated, %d\n",
+		       htlbpage_free);
 	} else {
 		htlbpage_max = 0;
-		printk("CPU does not support HugeTLB\n");
+		printk(KERN_INFO "CPU does not support HugeTLB\n");
 	}
 
 	return 0;

_
